StreamsController_create
POST
/api/streams
const url = 'https://api.streams-ai.com/api/streams';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"title":"example","visibility":"public","memberUserIds":[],"initialMessage":{"content":{"blocks":[{"type":"rich_text","elements":[{"type":"paragraph","direction":"ltr","children":[{"type":"text","text":"example","style":{"bold":true,"italic":true,"strikethrough":true,"code":true}}]}]}]}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams-ai.com/api/streams \ --header 'Content-Type: application/json' \ --data '{ "title": "example", "visibility": "public", "memberUserIds": [], "initialMessage": { "content": { "blocks": [ { "type": "rich_text", "elements": [ { "type": "paragraph", "direction": "ltr", "children": [ { "type": "text", "text": "example", "style": { "bold": true, "italic": true, "strikethrough": true, "code": true } } ] } ] } ] } } }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
title
required
string
visibility
string
memberUserIds
Array<string>
initialMessage
object
content
required
object
blocks
required
Array<object>
One of:
object
type
required
string
elements
required
Array<object>
One of:
object
type
required
string
direction
string
children
required
Array<object>
One of:
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
url
required
string format: uri
children
required
Array<object>
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
object
type
required
string
triggerName
required
string
object
type
required
string
listType
required
string
start
integer
children
required
Array<object>
object
type
required
string
checked
boolean
children
required
Array<object>
One of:
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
url
required
string format: uri
children
required
Array<object>
object
type
required
string
text
required
string
style
object
bold
boolean
italic
boolean
strikethrough
boolean
code
boolean
object
type
required
string
object
type
required
string
triggerName
required
string
list
object
type
required
string
listType
required
string
start
integer
children
required
Array<object> recursive
object
type
required
string
language
string
code
required
string
object
type
required
string
markdown
required
string
object
type
required
string
assetId
required
string format: uuid
fileName
required
string
contentType
required
string
object
type
required
string
component
required
string
options
required
Array<string>

